<ion-header>
  <ion-navbar>
    <ion-title>{{ap}}&nbsp;{{bloco}}</ion-title>
  </ion-navbar>
  <div>
    <ion-segment [(ngModel)]="abas">
      <ion-segment-button value="agendados">
        Agendados
      </ion-segment-button>
      <ion-segment-button value="liberados">
        Liberados
      </ion-segment-button>
    </ion-segment>
  </div>
</ion-header>

<ion-content>
  <div [ngSwitch]="abas">
    <div *ngSwitchCase="'agendados'">
      <div>
        <ion-list *ngFor="let item of agendados">
          <ion-item>
              <div class="horario" item-start>
                {{item.horaEntrada}}
                <br/>
                {{item.horaSaida}}
              </div>
              <ion-avatar item-start>
                  <img src="{{item.img}}">
              </ion-avatar>
            <div class="p16">
              <h3>{{item.nome}}</h3>
              <p>{{item.tipo}}</p>
            </div>
          </ion-item>
        </ion-list>
        <ion-fab bottom right>
          <button ion-fab (click)="agendarVisita()">
            <ion-icon name="add"></ion-icon>
          </button>
        </ion-fab>
      </div>
    </div>

    <div *ngSwitchCase="'liberados'">
      <div>
        <ion-list *ngFor="let item of prestadores">
          <ion-item>
            <ion-thumbnail item-start [ngStyle]="{'background-color': item.cor}">
              <div class="tempo">{{item.tempo}}</div>
            </ion-thumbnail>
            <ion-avatar item-start class="p8">
              <img src="{{item.img}}">
            </ion-avatar>
            <div class="p16">
              <p class="descricao">{{item.descricao}}</p>
              <p>{{item.local}}</p>
              <p>{{item.guarita}}</p>
            </div>
            <div class="p16" item-end>
              <p class="break-line" text-right>{{item.qtdPessoas}}</p>
              <p class="break-line" text-right>{{item.hora}}</p>
            </div>
          </ion-item>
        </ion-list>
      </div>
    </div>
  </div>
</ion-content>
